Subject: Re: [Sidrops] Ben Campbell's No Objection on draft-ietf-sidrops-bgpsec-rollover-03: (with COMMENT)

From: Chris Morrow <[email-masked]>
Date: Wed, 29 Nov 2017 20:28:26 -0500

Hey ben!
thanks for reading :) and reviewing... a bit more below.

On Wed, 29 Nov 2017 18:32:59 -0500,
Ben Campbell <[email-masked]> wrote:
> 
> Ben Campbell has entered the following ballot position for
> draft-ietf-sidrops-bgpsec-rollover-03: No Objection
> 
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
> 
> 
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about IESG DISCUSS and COMMENT positions.
> 
> 
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-sidrops-bgpsec-rollover/
> 
> 
> 
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
> 
> Did the working group consider making this a BCP? It describes operational
> practices, not protocol.
>

I don't believe the WG considered BCP, no... This is an ops-group so
we don't normally do 'protocol' changes. I agree that this sounds more
like a 'bcp' ... We can ask the authors their thoughts though I can't
imagine there's much difference for them between PS and BCP, right?

Author-folken?

> -1: The draft contains a number of instances of "must" and "should" in lower
> case. If those are correct, please consider using the boilerplate from 8174.

---

From: Ben Campbell <[email-masked]>
Date: Wed, 29 Nov 2017 15:32:59 -0800

---

From: "Brian Weis (bew)" <[email-masked]>
Date: Thu, 30 Nov 2017 17:41:34 +0000

Hi Chris,

> On Nov 29, 2017, at 5:28 PM, Chris Morrow <[email-masked]> wrote:

[snip]

>> ------

I don’t have any objection to making this a BCP. Remember, this work started in SIDR
 (in the RTG area), where PS probably seemed to make more sense at the time.

Thanks,
Brian

-- 
Brian Weis
Security, CSG, Cisco Systems
Telephone: +1 408 526 4796
Email: [email-masked]

---

From: Warren Kumari <[email-masked]>
Date: Thu, 30 Nov 2017 13:51:39 -0500

[ - IESG, for clutter ]

Hi all,

This document is approved, but, as can be seen from the IESG evaluation
on this document (
https://datatracker.ietf.org/doc/draft-ietf-sidrops-bgpsec-rollover/ballot/
) , there was a view that this is more of a BCP document - I agree with
this, but could be convinced otherwise. The IESG has agreed to let me
poll the WG / chairs / authors to get the WG's view, and make a
decision from there. The chairs and authors seem fine with BCP,
but I wanted to give the WG a chance to provide input.

So, the current plan is to reclassify this as BCP; if you strongly
feel that PS (the current state) is more correct, please let me know
by this Wednesday (December 6th).
Just for completeness, neither of the above needs process wonkery (it
was eval'ed as PS, BCP is at the same level, etc). Also, this is the
only question on the table (no re-litigating other issues).

Thanks,
W

On Wed, Nov 29, 2017 at 8:28 PM, Chris Morrow <[email-masked]> wrote:
> _______________________________________________
> Sidrops mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/sidrops

-- 
I don't think the execution is relevant when it was obviously a bad
idea in the first place.
This is like putting rabid weasels in your pants, and later expressing
regret at having chosen those particular rabid weasels and that pair
of pants.
   ---maf